Download it now!
Bug 109140 - Frames in headers do not place correctly on page when style is applied
Summary: Frames in headers do not place correctly on page when style is applied
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-Frames
  Show dependency treegraph
 
Reported: 2017-07-15 23:04 UTC by particle_mann
Modified: 2018-03-02 10:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description particle_mann 2017-07-15 23:04:36 UTC
Description:
When you Insert->Frame in the header of a page, the frame can be dragged anywhere on the page, not just the header.  However, when a style is applied to that frame, even if the style has the exact same anchor and alignment settings as the freshly created frame, the frame can only be placed within the header.

Steps to Reproduce:
1.Create a header for a page
2.Place the cursor in that header
3.Insert->Frame
4.Drag the frame anywhere on the page desired, add text, images, etc.
5.Apply a new style to the page
6.Watch as the frame suddenly jumps into the header, can't be dragged out of the header, and resizes to stay within the size limits of the header

Actual Results:  
I had an undesired frame in my header, rather than properly formatted and on my page

Expected Results:
The frame should apply the correct style formatting while keeping its proper placement on the page, rather than being confined to the header


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Dieter 2017-07-16 18:17:41 UTC Comment hidden (me-too)
Comment 2 Dieter 2017-07-16 18:21:32 UTC
I can't confirm this with LO 5.3.4.2. Steps I have done:

1. Opened a new document
2. Created a header for that page
3. Placed the cursor in that header
4. Insert -> Frame -> Frame
5. Draged the frame anywhere on the page
6. Applyed a new page style
7. Frame disappearde. For me this makes sence, because it was part of the header of another page style. WWhen I change back to the original page style, the frame appears at his last position.

Have you used an actual version of LO?
Comment 3 particle_mann 2017-07-16 18:26:40 UTC
Sorry, should have been clear.  After adding the frame and moving it around the page, apply a frame style to it, not a page style.  And yes, it's a freshly downloaded copy as of yesterday.
Comment 4 Dieter 2017-07-16 19:35:34 UTC
When I change the frame style to "Formula" or "Labels", the frame jumps into the header and I can't remove it. Using other frame styles (except Watermark) it jumps to the header, but you can remove it. Do you have the same results?
Comment 5 Xisco Faulí 2017-07-25 18:09:39 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2018-01-29 10:27:20 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2018-03-02 10:05:28 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180302